Microsoft's support for Windows XP is ending soon

As of 8 April 2014, Microsoft will stop supporting its operating system Windows XP (XP). This means that for XP no more updates, hot fixes and other support services will  be provided (more information can be found on the Microsoft website).

Against this background DDS can no longer assure compatibility with Windows XP for future versions of DDS-CAD. In order to provide comprehensive information, the following three questions will be answered that have been put to us frequently:

 

  • Why does DDS not guarantee compatibility with Windows XP after the 8 April 2014 anymore?

 

XP is an outdated operating system. The lack of Microsoft's support will make the operating system increasingly more error-prone and vulnerable to malicious software after 8 April 2014. To assure compatibility for an innovative and advance software such as DDS-CAD , requires significant effort and also inhibits the development innovative possibilities. Since we intend to advance the development of DDS-CAD as much as possible, we will not continue assuring compatibility of our products with Windows XP.

 

  • What does this mean for using DDS-CAD on Windows XP after 8 April 2014?

 

For all DDS-CAD versions that have been assured compatibility for Windows XP will continue running after 8 April 2014. This applies up to all Service Release builds and hotfixes provided for DDS-CAD 9. DDS-CAD 10 and above will no longer support Windows XP.

For all DDS-CAD versions that have been released after version 9, compatibility is not assured. Updating and upgrading existing versions of DDS-CAD will still be possible on Windows XP, but these are at the user's risk. DDS cannot be held responsible or liable for any misconduct of the software or for any loss of data. Furthermore, once DDS-CAD 10 is fully shipped, the hotfix web update of DDS-CAD 9 is reduced to only major blocking issues.

 

  • What does DDS recommend to its customers that are using DDS-CAD with Windows XP?

 

We highly recommend you to upgrade the operating system. To ensure a good performance, you can choose Windows 7 Service Pack 1 or any newer version of Microsoft's operating system.

System requirements

If you want to go back to the overview of DDS-CAD's system requirements

 Click here